<?


/*
 * This file is implementation specific
 * Please edit to adjust to your Workplace setup
 */

set_include_path(get_include_path() . PATH_SEPARATOR . dirname(__FILE__) . "/include/");

require_once "O3Spaces/Config.php";

/*
 * Section: Trust configuration
 *
 * For each webserver running this PHP library you can configure an
 * authentication trust as set-up in Workplace server 
 *
 * The IP-addresses listed here are the outside IP-addresses of this webserver
 *
 */
$trusts = array(
	// Server IP-address
	"192.168.91.1" => "d4e9c95d-a39f-4a92-816a-e8d25ab8d04d",
//	"10.10.4.110" => "cb3e94a6-7614-4126-8bef-fa00e77b7185",
);

$GLOBALS['pluginconfig']['o3spaces'] = array(
	/*************************************************************
	 * Section: Deployment technical settinsg
	 *
	 * Configure an HTTP proxy if this is needed to access
	 * the Workplace server from the webserver.
	 ************************************************************/
	"http.proxy" => false,
	"http.proxy.host" => "192.168.92.1",
	"http.proxy.port" => 3128,
	//"http.proxy.user" => "username",
	//"http.proxy.pass" => "password"


	/*************************************************************
	 * Section: Workplace Authentication scheme
	 * Authentication to the Workplace can be done by either the Trust-based authentication or a user/password combination
	 *
	 * See O3Spaces Workplace documentation how to configure a trust.
	 *************************************************************/

	//
	// Trust-based authentication strategy
	//
//	"auth.strategy"   => "TrustAuthStrategy",

	// The trust identifier for this server is extracted from $trusts
//	"auth.trust.key"  => $trusts[ $_SERVER["SERVER_ADDR"] ],

	// The Workplace-user in workplace to work on on-behalf.
	// The Zarafa plugin automatically overrides this to th euser logged into to Zarafa
//	"auth.trust.user" => "demo",

	//
	// Alternative authentication: based on username / password
	// In this case the current username/password is taken over from the webserver
	// The username and password will be automatically set by Zarafa after user login
	//
	"auth.strategy" => "BasicAuthStrategy",
	"auth.basic.user" => "john",			// Use $_SERVER["PHP_AUTH_USER"] in case of Webserver Basic Authentication
	"auth.basic.pass" => "john",			// use $_SERVER["PHP_AUTH_PW"] in case of Webserver Basic Authentication

	/*************************************************************
	 * Section: Zarafa settings
	 *************************************************************/
	 "zarafa.override.user" => true,
	 "zarafa.override.pass" => true, // only has effect when BasicAuthStrategy is in place
	
	/*************************************************************
	 * Section: Workplace General settings
	 *************************************************************/

	// Location of the workplace, with ssl enabled or not
	"workplace.use_ssl" => false,
	"workplace.location" => "10.1.16.21:8095",

	"store.tmp_dir" => TMP_PATH . "/"

);


// WARNING: THERE SHOULD BE NO NEWLINES after the PHP closing tag
?>
